/**
 * <copyright>
 * </copyright>
 *
 * $Id: ParameterValidator.java,v 1.1 2008-04-01 09:35:40 vmahe Exp $
 */
package orgomg.cwm.objectmodel.behavioral.validation;

import orgomg.cwm.objectmodel.behavioral.BehavioralFeature;
import orgomg.cwm.objectmodel.behavioral.Event;
import orgomg.cwm.objectmodel.behavioral.ParameterDirectionKind;

import orgomg.cwm.objectmodel.core.Classifier;
import orgomg.cwm.objectmodel.core.Expression;

/**
 * A sample validator interface for {@link orgomg.cwm.objectmodel.behavioral.Parameter}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ParameterValidator {
	boolean validate();

	boolean validateDefaultValue(Expression value);
	boolean validateKind(ParameterDirectionKind value);
	boolean validateBehavioralFeature(BehavioralFeature value);
	boolean validateEvent(Event value);
	boolean validateType(Classifier value);
}
